net.minecraft.client.renderer.texture

## Class TextureManager

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureManager

- All Implemented Interfaces:
    Tickable, ResourceManagerReloadListener

      public class TextureManager
      extends Object
      implements Tickable, ResourceManagerReloadListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureManager(ResourceManager par1ResourceManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindTexture(ResourceLocation par1ResourceLocation)`
    `ResourceLocation` | `getDynamicTextureLocation(String par1Str, DynamicTexture par2DynamicTexture)`
    `ResourceLocation` | `getResourceLocation(int par1)`
    `TextureObject` | `getTexture(ResourceLocation par1ResourceLocation)`
    `boolean` | `loadTexture(ResourceLocation par1ResourceLocation, TextureObject par2TextureObject)`
    `boolean` | `loadTextureMap(ResourceLocation par1ResourceLocation, TextureMap par2TextureMap)`
    `boolean` | `loadTickableTexture(ResourceLocation par1ResourceLocation, TickableTextureObject par2TickableTextureObject)`
    `void` | `onResourceManagerReload(ResourceManager par1ResourceManager)`
    `void` | `tick()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextureManager

          public TextureManager(ResourceManager par1ResourceManager)

  - ### Method Detail

    - #### bindTexture

          public void bindTexture(ResourceLocation par1ResourceLocation)

    - #### getResourceLocation

          public ResourceLocation getResourceLocation(int par1)

    - #### loadTextureMap

          public boolean loadTextureMap(ResourceLocation par1ResourceLocation,
                               TextureMap par2TextureMap)

    - #### loadTickableTexture

          public boolean loadTickableTexture(ResourceLocation par1ResourceLocation,
                                    TickableTextureObject par2TickableTextureObject)

    - #### loadTexture

          public boolean loadTexture(ResourceLocation par1ResourceLocation,
                            TextureObject par2TextureObject)

    - #### getTexture

          public TextureObject getTexture(ResourceLocation par1ResourceLocation)

    - #### getDynamicTextureLocation

          public ResourceLocation getDynamicTextureLocation(String par1Str,
                                                   DynamicTexture par2DynamicTexture)

    - #### tick

          public void tick()

      Specified by:
        `tick` in interface `Tickable`

    - #### onResourceManagerReload

          public void onResourceManagerReload(ResourceManager par1ResourceManager)

      Specified by:
        `onResourceManagerReload` in interface `ResourceManagerReloadListener`